StreamCharBuffer.StringChunk (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.StringChunk

- org.grails.buffer.StreamCharBuffer.StringChunk

-     class StreamCharBuffer.StringChunk
      extends AbstractChunk

  StringChunk is a wrapper for java.lang.String. It also keeps state of the read offset and the number of unread characters. There's methods that StringChunkGroup uses for reading data.

  Authors:
    Lari Hotari

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `lastposition` |
    `int` | `length` |
    `int` | `offset` |
    `java.lang.String` | `str` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StringChunk (java.lang.String str, int offset, int length)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `encodeTo(EncodedAppender appender, Encoder encoder)`
    `` | `public void` | `encodeTo(java.io.Writer writer, EncodesToWriter encoder)`
    `` | `public ChunkReader` | `getChunkReader(boolean removeAfterReading)`
    `` | `public boolean` | `isSingleBuffer()`
    `` | `public int` | `size()`
    `` | `public java.lang.CharSequence` | `toCharSequence()`
    `` | `public void` | `writeTo(java.io.Writer target)`

- - ### Field Detail

    - #### int lastposition

    - #### int length

    - #### int offset

    - #### java.lang.String str

  - ### Constructor Detail

    - #### public StringChunk(java.lang.String str, int offset, int length)

  - ### Method Detail

    - #### @java.lang.Override public void encodeTo(EncodedAppender appender, Encoder encoder)

    - #### @java.lang.Override public void encodeTo(java.io.Writer writer, EncodesToWriter encoder)

    - #### @java.lang.Override public ChunkReader getChunkReader(boolean removeAfterReading)

    - #### public boolean isSingleBuffer()

    - #### @java.lang.Override public int size()

    - #### public java.lang.CharSequence toCharSequence()

    - #### @java.lang.Override public void writeTo(java.io.Writer target)